#!/bin/bash
set -ex

DB_CONFIG_FILE=/var/roundcube/config/db.inc.php
MAIN_CONFIG=/var/roundcube/config/config.inc.php

echo "Writing ${DB_CONFIG_FILE}..."
echo "<?php
\$dbuser='${ROUNDCUBEMAIL_DB_USER}';
\$dbpass='${ROUNDCUBEMAIL_DB_PASSWORD}';
\$dbname='${ROUNDCUBEMAIL_DB_NAME}';
\$dbserver='${ROUNDCUBEMAIL_DB_HOST}';
\$dbport='${ROUNDCUBEMAIL_DB_PORT}';
\$dbtype='${ROUNDCUBEMAIL_DB_TYPE}';
?>
" > ${DB_CONFIG_FILE}

ROUNDCUBEMAIL_PLUGINS_PHP=`echo "${ROUNDCUBEMAIL_PLUGINS}" | sed -E "s/[, ]+/', '/g"`

echo "Write config to $PWD/config/config.inc.php"
echo "<?php
include_once('/var/www/html/config/db.inc.php');

\$config['default_host'] = '${ROUNDCUBEMAIL_DEFAULT_HOST}';
\$config['default_port'] = '${ROUNDCUBEMAIL_DEFAULT_PORT}';
\$config['smtp_server'] = '${ROUNDCUBEMAIL_SMTP_SERVER}';
\$config['smtp_port'] = '${ROUNDCUBEMAIL_SMTP_PORT}';
\$config['smtp_user'] = '%u';
\$config['smtp_pass'] = '%p';
\$config['plugins'] = ['${ROUNDCUBEMAIL_PLUGINS_PHP}'];
\$config['zipdownload_selection'] = true;
\$config['log_driver'] = 'stdout';
\$config['skin'] = 'larry';
?>
" > $MAIN_CONFIG

